// Copyright © Selmo Technology GmbH. All Rights Reserved

using Novus.Connectivity.Common;
using Novus.Connectivity.Service;

namespace SelmoStudio.Hmi.Server.Diagnostic
{
    public interface IAppDiagnosticService
    {
        internal void Init();

        Task AnalyzeReadAll(IRegisteredValueConnectionService regValueService);

        Task AnalyzeRead(IRegisteredValueConnectionService regValueService, ValuesConnectionRegistrationId id);

        Task AnalyzeWrite(IRegisteredValueConnectionService regValueService, IProcessValue value);
    }
}